--- /dev/null	2019-02-24 19:19:20.000000000 +0000
+++ new/usr/src/test/elf-tests/tests/linker-sets/simple.sh	2019-02-24 19:19:20.870606800 +0000
@@ -0,0 +1,54 @@
+#!/usr/bin/ksh
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2018, Richard Lowe.
+#
+
+# Test that a simple use of linker-sets, that is, automatically generated start
+# and end symbols for sections can be generated and used.
+
+if [[ -z $ELF_TESTS ]]; then
+    print -u2 "Don't know where the test data is rooted";
+    exit 1;
+fi
+
+tmpdir=/tmp/test.$$
+mkdir $tmpdir
+cd $tmpdir
+
+cleanup() {
+    cd /
+    rm -fr $tmpdir
+}
+
+trap 'cleanup' EXIT
+
+# We expect any alternate linker to be in LD_ALTEXEC for us already
+gcc -o simple ${ELF_TESTS}/tests/linker-sets/simple-src.c -Wall -Wextra
+if (( $? != 0 )); then
+    print -u2 "compilation of ${ELF_TESTS}/tests/linker-sets/simple-src.c failed";
+    exit 1;
+fi
+
+./simple > simple.$$.out 2>&1
+
+if (( $? != 0 )); then
+    print -u2 "execution of ${ELF_TESTS}/tests/linker-sets/simple-src.c failed";
+    exit 1;
+fi
+
+diff -u ${ELF_TESTS}/tests/linker-sets/simple.out simple.$$.out
+if (( $? != 0 )); then
+    print -u2 "${ELF_TESTS}/tests/linker-sets/simple-src.c output mismatch"
+    exit 1;
+fi
